Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2002 Sun Microsystems, Inc.; Nokia Corporation. See the Copyright Notice and Specification License for more details.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.media.control
Interface StopTimeControl

All Superinterfaces:
  Control

public interface StopTimeControl
extends Control

`StopTimeControl` allows one to specify a preset stop time for a `Player`.

Field Summary
`static long` | `RESET` Returned by `getStopTime` if no stop-time is set.

Method Summary
`long` | `getStopTime()` Gets the last value successfully set by `setStopTime`.
`void` | `setStopTime(long stopTime)` Sets the media time at which you want the `Player` to stop.

Field Detail

### RESET

    public static final long RESET

  Returned by `getStopTime` if no stop-time is set.

  Value `Long.MAX_VALUE` is assigned to `RESET`.

Method Detail

### setStopTime

    public void setStopTime(long stopTime)

  Sets the media time at which you want the `Player` to stop. The `Player` will stop when its media time reaches the stop-time. A `STOPPED_AT_TIME` event will be delivered through the `PlayerListener`.

  The `Player` is guaranteed to stop within one second past the preset stop-time (i.e. `stop-time <= current-media-time <= stop-time + 1 sec.`); unless the current media time is already passed the preset stop time when the stop time is set. If the current media time is already past the stop time set, the `Player` will stop immediately. A `STOPPED_AT_TIME` event will be delivered. After the `Player` stops due to the stop-time set, the previously set stop-time will be cleared automatically. Alternatively, the stop time can be explicitly removed by setting it to: `RESET`.

  You can always call `setStopTime` on a stopped `Player`. To avoid a potential race condition, it is illegal to call `setStopTime` on a started `Player` if a media stop-time has already been set.

  Parameters:
    `stopTime` - The time in microseconds at which you want the `Player` to stop, in media time.
  Throws:
    `IllegalStateException` - Thrown if `setStopTime` is called on a started `Player` and the media stop-time has already been set.
  See Also:
    `getStopTime()`

### getStopTime

    public long getStopTime()

  Gets the last value successfully set by `setStopTime`. Returns the constant `RESET` if no stop time is set. This is the default.
  Returns:
    The current stop time in microseconds.
  See Also:
    `setStopTime(long)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2002 Sun Microsystems, Inc.; Nokia Corporation. See the Copyright Notice and Specification License for more details.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD